Skip to main content

Navigating to a date and time

You can navigate to another view programatically any time, using the navigate method.

This will navigate the calendar to the view containing the specified date. For views, where time is also displayed, the view will be scrolled to the specified time. If the time part is not explicitly specified, it defaults to the start of the day.

When multiple days, weeks, months or years are displayed, the position of the specified date on the view (first, second, third, etc. day/week/month/year) is determined by the refDate option.

$('#myDiv').mobiscroll().eventcalendar({
data: [/*...*/],
selectedDate: new Date(2020, 2, 18)
});

const inst = $('#myDiv').mobiscroll('getInst);

inst.navigate(new Date(2020, 3, 19));

Skip to main content

Navigating to a date and time

You can navigate to another view programatically any time, by changing the selectedDate option.

This will navigate the calendar to the view containing the specified date. For views, where time is also displayed, the view will be scrolled to the specified time. If the time part is not explicitly specified, it defaults to the start of the day.

When multiple days, weeks, months or years are displayed, the position of the specified date on the view (first, second, third, etc. day/week/month/year) is determined by the refDate option.

<mbsc-eventcalendar [(selectedDate)]="myDate"></mbsc-eventcalendar>
<button (click)="setDate()">Set date</button>
import { Component } from '@angular/core';

@Component({...})
export class AppComponent {
myDate = new Date(2020, 2, 18);

setDate() {
this.myDate = new Date(2020, 3, 19);
}
}

Navigating to a date and time
You can navigate to another view programatically any time, by changing the selectedDate option.
This will navigate the calendar to the view containing the specified date. For views, where time is also displayed, the view will be scrolled to the specified time. If the time part is not explicitly specified, it defaults to the start of the day.
When multiple days, weeks, months or years are displayed, the position of the specified date on the view (first, second, third, etc. day/week/month/year) is determined by the refDate option.
import { useCallback, useState } from 'react';
import { Eventcalendar } from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';
const App = () => {
const [events, setEvents] = useState([/*...*/]);
const [selectedDate, setSelectedDate] = useState(new Date(2020, 2, 18));
const onSelectedDateChange = useCallback((args) => {
setSelectedDate(args.date);
}, []);
const setDate = useCallback(() => {
// Set a specific date
setSelectedDate(new Date(2020, 3, 19));
}, []);
return <>
<Eventcalendar data={events} selectedDate={selectedDate} onSelectedDateChange={onSelectedDateChange} />
<button onClick={setDate}>Set date</button>
</>;
}

Skip to main content

Navigating to a date and time

You can navigate to another view programatically any time, by changing the selectedDate option.

This will navigate the calendar to the view containing the specified date. For views, where time is also displayed, the view will be scrolled to the specified time. If the time part is not explicitly specified, it defaults to the start of the day.

When multiple days, weeks, months or years are displayed, the position of the specified date on the view (first, second, third, etc. day/week/month/year) is determined by the refDate option.

<script setup>
import { ref } from "vue";
import { MbscEventcalendar, MbscButton } from "@mobiscroll/vue";
import '@mobiscroll/vue/dist/css/mobiscroll.min.css';

const myEvents = ref([...]);
const myDate = ref(new Date(2020, 2, 18));

function myDateChange(args) {
myDate.value = args.date;
}

function setDate() {
// Set a specific date
myDate.value = new Date(2020, 3, 19);
}
</script>

<template>
<MbscEventcalendar :data="myEvents" :selectedDate="myDate" @selected-date-change="myDateChange($event)" />
<MbscButton @click="setDate()">Set New Date</MbscButton>
</template>